/*
   Blink Neopixel
   blinks 3 pixel on a strip

   by noiasca
   
   2022-02-12 ok
 */
#include <Noiasca_led.h>               // download from: https://werner.rothschopf.net/microcontroller/202202_tools_led_en.htm
#include <utility/Noiasca_neopixel.h>  // needed for Neopixel

#include <Adafruit_NeoPixel.h>         // use the Adafruit library for Neopixel
constexpr uint16_t pixelCount = 32;
constexpr byte pixelPin = 8;
Adafruit_NeoPixel strip(pixelCount, pixelPin, NEO_GRB + NEO_KHZ800);

BlinkPixel blinkPixelA(strip, 0);      // a blink LED on a Neopixel strip using pixel 0
BlinkPixel blinkPixelB(strip, 1);      // a blink LED on a Neopixel strip using pixel 1
BlinkPixel blinkPixelC(strip, 2);      // a blink LED on a Neopixel strip using pixel 2

void setup() {
  Serial.begin(115200);
  Serial.println(F("LED & Pixel Test"));
  strip.begin();
  strip.setBrightness(50);             // Set BRIGHTNESS to about 1/5 (max = 255)
  blinkPixelA.setOnInterval(250);      // set the on time of a pixel
  blinkPixelB.setOffInterval(250);     // set the off time of a pixel
  blinkPixelB.setOnColor(0xFF0000);    // set the on color of a pixel
  blinkPixelC.setOnColor(0x00FF00);
  blinkPixelC.setOffColor(0x000088);   // the "off" color can be different to black
}

void loop() {
  blinkPixelA.update();                // call .update() for your pixel object
  blinkPixelB.update();  
  blinkPixelC.update();
}
