/*
  Alternating Neopixel
  alternate blink of a pair of Neopixel

  by noiasca
  2022-02-12       split Neopixel from main sketch
  2022-02-02 ok
 */

#include <Noiasca_led.h>                         // download from: https://werner.rothschopf.net/microcontroller/202202_tools_led_en.htm
#include <utility/Noiasca_neopixel.h>            // needed for Neopixel

#include <Adafruit_NeoPixel.h>                   // use the Adafruit library for Neopixel
constexpr uint16_t pixelCount = 32;
constexpr byte pixelPin = 8;
Adafruit_NeoPixel strip(pixelCount, pixelPin, NEO_GRB + NEO_KHZ800);

AlternatingPixel alternatingPixel(strip, 1);     // needs pixel 1, 2

void setup() {
  Serial.begin(115200);
  Serial.println(F("Alternating Neopixel"));
  strip.begin();
  strip.setBrightness(50);                       // Set BRIGHTNESS to about 1/5 (max = 255)
  alternatingPixel.setOnInterval(250);           // set the on time of a pixel
  alternatingPixel.setOnColor(0xFF0000);         // set the on color of a pixel
}

void loop() {
  alternatingPixel.update();                     // call .update() for your pixel object
}
