/*
  Alternating FastLED
  alternate blink of a pair of FastLED strip

  by noiasca
  2022-12-19
 */

#include <Wire.h>                      // I2C class for the PCF8574 port expander
#include <Noiasca_led.h>               // download from: https://werner.rothschopf.net/microcontroller/202202_tools_led_en.htm
#include <utility/Noiasca_PCF8574.h>   // needed to control PCF8574 

// create a expander object 
PCF8574expander myPCF8574(0x3F);           // create a PCF8574 instance at a specific I2C address

// create your objects:
AlternatingPCF8574 alternatingPCF8574(myPCF8574, 1);

void setup() {
  Serial.begin(115200);
  Serial.println(F("Alternating PCF8574"));
  
  Wire.begin();

  alternatingPCF8574.setOnInterval(250);           // set the on time of a pixel
  alternatingPCF8574.setOnColor(0xFF0000);         // set the on color of a pixel
}

void loop() {
  alternatingPCF8574.update();                     // call .update() for your pixel object
}
