/*
   Blink lot of LEDs with a HT16K33

   This just demostrates how to blink lot of LEDs.
   I mean really a awfull lot. Here I'm using roughly 90 LEDs with a HT16K33 on an UNO.
   You will get a warning due to low remaining memory - but it will run.

   by noiasca

   2023-02-18
*/

#include <Wire.h>                      // I2C class for the port expander
#include <Noiasca_led.h>               // download from: https://werner.rothschopf.net/microcontroller/202202_tools_led_en.htm
#include <utility/Noiasca_HT16K33.h>   // needed to control HT16K33 - part of the LED tool kit

// create a expander object
HT16K33expander myHT16K33(0x76);       // create an expander instance at a specific I2C address (usually between 0x70 - 0x77)

// now the fun part: let's create a lot of led objects
// hand over the expander object and the number of LED (0..127)
BlinkHT16K33 led[] {
  {myHT16K33, 0}, 
  {myHT16K33, 1}, 
  {myHT16K33, 2}, 
  {myHT16K33, 3}, 
  {myHT16K33, 4}, 
  {myHT16K33, 5}, 
  {myHT16K33, 6},
  {myHT16K33, 7},
  {myHT16K33, 8},
  {myHT16K33, 9},
  {myHT16K33, 10},
  {myHT16K33, 11},
  {myHT16K33, 12},
  {myHT16K33, 13},
  {myHT16K33, 14},
  {myHT16K33, 15},
  {myHT16K33, 16},
  {myHT16K33, 17},
  {myHT16K33, 18},
  {myHT16K33, 19},
  {myHT16K33, 20},
  {myHT16K33, 21},
  {myHT16K33, 22},
  {myHT16K33, 23},
  {myHT16K33, 24},
  {myHT16K33, 25},
  {myHT16K33, 26},
  {myHT16K33, 27},
  {myHT16K33, 28},
  {myHT16K33, 29},
  {myHT16K33, 30},
  {myHT16K33, 31},
  {myHT16K33, 32},
  {myHT16K33, 33},
  {myHT16K33, 34},
  {myHT16K33, 35},
  {myHT16K33, 36},
  {myHT16K33, 37},
  {myHT16K33, 38},
  {myHT16K33, 39},
  {myHT16K33, 40},
  {myHT16K33, 41},
  {myHT16K33, 42},
  {myHT16K33, 43},
  {myHT16K33, 44},
  {myHT16K33, 45},
  {myHT16K33, 46},
  {myHT16K33, 47},
  {myHT16K33, 48},
  {myHT16K33, 49},
  {myHT16K33, 50},
  {myHT16K33, 51},
  {myHT16K33, 52},
  {myHT16K33, 53},
  {myHT16K33, 54},
  {myHT16K33, 55},
  {myHT16K33, 56},
  {myHT16K33, 57},
  {myHT16K33, 58},
  {myHT16K33, 59},
  {myHT16K33, 60},
  {myHT16K33, 61},
  {myHT16K33, 62},
  {myHT16K33, 63},
  {myHT16K33, 64},
  {myHT16K33, 65},
  {myHT16K33, 66},
  {myHT16K33, 67},
  {myHT16K33, 68},
  {myHT16K33, 69},
  {myHT16K33, 70},
  {myHT16K33, 71},
  {myHT16K33, 72},
  {myHT16K33, 73},
  {myHT16K33, 74},
  {myHT16K33, 75},
  {myHT16K33, 76},
  {myHT16K33, 77},
  {myHT16K33, 78},
  {myHT16K33, 79},
  {myHT16K33, 80},
  {myHT16K33, 81},
  {myHT16K33, 82},
  {myHT16K33, 83},
  {myHT16K33, 84},
  {myHT16K33, 85},
  {myHT16K33, 86},
  {myHT16K33, 87},
  {myHT16K33, 88},
  {myHT16K33, 89},
  {myHT16K33, 90},
};

void setup() {
  Wire.begin();                        // needed for the HT16K33
  myHT16K33.begin();                   // start the HT16K33 object

  randomSeed(analogRead(A1));

  for (auto &i : led) {
    i.begin();
    i.setOnInterval(random(100, 1000));          // randomize the on time of a pin
    i.setOffInterval(random(100, 1000));         // randomize the off time of a pin
  }
}

void loop() {
  for (auto &i : led) i.update();      // call .update() for your object
}
