/*
  Button low high

  active LOW:
  by default the button is low active (button closes to GND).
  The library will active the internal pullup resistor.
  You don't need external resistors.

  active HIGH:
  You can also us the nutton as high active (button closes to VCC).
  In this case you MUST use an external resistor between your GPIO and GND.
  Otherwise the reading is not reliable!

  by noiasca
  2022-02-18 2184/196
*/

#include <Noiasca_button.h>            // download library from http://werner.rothschopf.net/microcontroller/202202_tools_led_en.htm
          
Button buttonA {A0};                   // active LOW: button connects pin with GND
Button buttonB {A1, HIGH};             // active HIGH: button connects pin with VCC

void setup() {
  Serial.begin(115200);
  buttonA.begin();                     // you have to call the .begin() method
  buttonB.begin();
}

void loop() {
  if (buttonA.wasPressed()) {          // fire if button was pressed
    Serial.println(F("button A was pressed"));
  }
  if (buttonB.wasPressed()) {
    Serial.println(F("button B was pressed"));
  }
}
