/*
  Button Hello World Callback

  read a button including debounce
  callback functions are fired when the button gets pressed or released

  Remembers:
  by default the button is low active (The button closes to GND).
  The library will active the internal pullup resistor.
  You don't need external resistors.

  by noiasca
  2023-07-10 2174/197
  2022-12-06 2140/196
*/

#include <Noiasca_button.h>            // download library from http://werner.rothschopf.net/microcontroller/202202_tools_led_en.htm
          
Button buttonA {A0};                   // active LOW: button connects pin with GND

void cbOnPress() {
  Serial.println(F("press"));
}

void cbOnRelease() {
  Serial.println(F("release"));
}

void setup() {
  Serial.begin(115200);
  buttonA.begin();                     // you have to call the .begin() method
  buttonA.setOnPress(cbOnPress);       // assign the callback for on press
  buttonA.setOnRelease(cbOnRelease);   // assign the callback for on release
}

void loop() {
  buttonA.update();                    // the function needs to be called in loop()
}
