/*
  Timer simple

  this example shows how to use a simple timer

  it will let a LED blink for 3 seconds and pause for 3 seconds
  
  by noiasca
  2022-01-17 2476/230
*/

#include <Noiasca_led.h>               // download library from http://werner.rothschopf.net/microcontroller/202202_tools_led_en.htm
#include <utility/Noiasca_discrete.h>  // use the discrete pins on the Arduino/Microcontroller
#include <Noiasca_button.h>            // some tools to read buttons
#include <Noiasca_timer.h>

BlinkPin blinkLed {13};

// here you create your timer object
// you one parameters: the intervall in milliseconds
MiniTimer miniTimer {3000};

void setup() {
  Serial.begin(115200);
  Serial.println(F("\nStart"));
  blinkLed.begin();                    // start a LED object
  blinkLed.on();                       // switch the LED object on 
  //miniTimer.start();                 // and start the timer
}

void loop() {
  // you must call the update() method for each object:
  blinkLed.update();

  if (miniTimer.hasTriggered()) {      // if the defined time is over, the timer will execude the followin lines
    Serial.println(F("timer has triggered"));
    blinkLed.toggle(); 
  }
}
